from AutoRPE.UtilsRPE.Functions import load_vault
import math
import sys
from os.path import realpath

ceil = math.ceil


def set_precision_to(value, _vault):
    for variable in _vault.variables:
        if variable.mutable:
            variable.precision = value


if __name__ == "__main__":
        filename = realpath(sys.argv[1])
        vault = load_vault(filename)

        if not vault:
            print("vault.pkl not found!\nUnable to create namelist!")
            exit(1)

        variables = sorted([var for var in vault.variables if var.mutable], key=lambda x: x.id)

        set_precision_to(52, vault)

        filename = "namelist_precisions"
        vault.generate_namelist_precisions(filename=filename, exclude_double_precision=False)
